#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include "ed.h"
#include "debug.h"
#include <debug/syms.h>
#include <scrsave.h>
#include <libc/file.h>	/* Workaround for stderr bug below */

int main(int argc, char **argv)
{
  int i;
  char cmdline[128];
  jmp_buf start_state;

  if(argc < 2) {
    printf("Usage: %s debug-image [args]\n", argv[0]);
    exit(1);
  }

  syms_init(argv[1]);

  cmdline[1] = 0;
  for(i=2; argv[i]; i++) {
  	strcat(cmdline+1, " ");
  	strcat(cmdline+1, argv[i]);
  }
  i = strlen(cmdline+1);
  cmdline[0] = i;
  cmdline[i+1] = 13;
  do
    {
    if(v2loadimage(argv[1],cmdline,start_state)) {
      printf("Load failed for image %s\n",argv[1]);
      exit(1);
      }

    edi_init(start_state);
    stdout->_file = dup(fileno(stdout));
    }
  while (debugger()==0);

  return 0;
}
