(* 
   CRT library ported to GPC & GPC with Borland Extensions compilers for DJGPP
*)

#ifndef _bp_CRT_unit_
#define _bp_CRT_unit_

(* constants - actually just #defines *)

(* mode constants *)

#define BW40 0
#define BW80 2
#define MONO 7
#define CO40 1
#define CO80 3
#define FONT8X8 256
#define C40 CO40
#define C80 CO80

(* colour constants *)

#define BLACK		0
#define BLUE		1
#define GREEN		2
#define CYAN		3
#define RED		4
#define MAGENTA		5
#define BROWN		6
#define LIGHTGRAY	7
#define DARKGRAY	8
#define LIGHTBLUE	9
#define LIGHTGREEN	10
#define LIGHTCYAN	11
#define LIGHTRED	12
#define LIGHTMAGENTA	13
#define YELLOW		14
#define WHITE		15
#define BLINK		128


(* functions & procedures *)

procedure gotoxy(x,y:integer); C;
function readkey:integer; C;
procedure clrscr; C;
procedure clreol; C;
procedure delline; C;
procedure insline; C;
procedure highvideo; C;
procedure normvideo; C;
procedure lowvideo; C;
function wherex:integer; C;
function wherey:integer; C;
procedure textattr(attr:integer); C;
procedure textbackground(color:integer); C;
procedure textcolor(color:integer); C;
procedure textmode(unused_mode:integer); C; (* does nothing *)
procedure window(left,top,right,bottom:integer); C;


function keypressed:boolean;
  function kbhit:integer; C;
begin
     keypressed:=(kbhit=1);
end;


procedure sound(freq:integer); C;
(* ok so this is cheating... *)
#define nosound sound(0)
procedure delay(t:integer); C;

#endif

