/*
** VIDEO.H                    Video routines for vertical blanking, etc
**
** The vertical blank signal is used to indicate when it is safe to redraw
** the screen.  It also provides a constantly paced loop, so that we can
** perform GrIP refreshes at regular intervals.
*/

#ifndef VIDEO_H
#define VIDEO_H

#ifdef __cplusplus
#error OOOPS... USING C++ MAN!!!
//extern "C"
//  {
#endif
/*
** WaitVertBlank()            Wait for the video vertical blanker
*/
void WaitVertBlank(void);

/*
** CursorOff()                Hide the cursor
*/
void CursorOff(void);

/*
** CursorOn()                 Show the cursor
*/
void CursorOn(void);

#endif /* VIDEO_H */
