#ifndef _FILEUTIL_H_
#define _FILEUTIL_H_

#include <stdio.h>
#include "common.h"

int FileExist( char *name );

//
// Read a file into an unsigned char _FAR_ buffer and return the pointer
// Takes the name of the file, an integer by reference, and a mem buf
// pointer.  If buf is 0, the function will try to allocate enough memory
// for the file.
// Returns 0 if failure or the pointer to the buffer contain the data
// read.
//
char * readfile( char *filenamein, int &BufSize, char *buf = 0 );
//
// Write a char _FAR_ buffer to a file with size bytes
// Takes name of file to be written, pointer to buffer, and size of buffer
//
// returns number of bytes actually written or 0 if failed.
//
unsigned writefile( char *filenameout, char *obuff, unsigned size );

char *PushDir( void );
void Chdir( char *path );
int PopDir( char *path );


#endif
