(* Text file assign and close procedures for Extended Pascal *)

#ifndef _bp_file_assign_
#define _bp_file_assign_

procedure Assign(var t : text; protected Name : string);
var b : BindingType;
begin
     unbind (t);
     b := binding (t);
     b.Name := Name;
     bind (t, b);
     b := binding (t);
end;

#endif

#ifndef _bp_file_close_
#define _bp_file_close_

procedure Close(var t : text);
begin
     unbind(t);
end;

#endif
